Botan 1.10.17

Classes | Namespaces | Enumerations
x509stor.h File Reference
`#include <botan/x509cert.h>`
`#include <botan/x509_crl.h>`
`#include <botan/certstor.h>`

Go to the source code of this file.

## Classes
class | Botan::X509_Store

## Namespaces
| Botan

## Enumerations
enum | Botan::X509_Code { Botan::VERIFIED, Botan::UNKNOWN_X509_ERROR, Botan::CANNOT_ESTABLISH_TRUST, Botan::CERT_CHAIN_TOO_LONG, Botan::SIGNATURE_ERROR, Botan::POLICY_ERROR, Botan::INVALID_USAGE, Botan::CERT_FORMAT_ERROR, Botan::CERT_ISSUER_NOT_FOUND, Botan::CERT_NOT_YET_VALID, Botan::CERT_HAS_EXPIRED, Botan::CERT_IS_REVOKED, Botan::CRL_FORMAT_ERROR, Botan::CRL_ISSUER_NOT_FOUND, Botan::CRL_NOT_YET_VALID, Botan::CRL_HAS_EXPIRED, Botan::CA_CERT_CANNOT_SIGN, Botan::CA_CERT_NOT_FOR_CERT_ISSUER, Botan::CA_CERT_NOT_FOR_CRL_ISSUER }